"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DEFAULT_NETWORK = exports.networkPlatformConfigs = exports.CONFIG = exports.WHSCAN_RETRY_INTERVAL = exports.CIRCLE_RETRY_INTERVAL = exports.DEFAULT_TASK_TIMEOUT = void 0;
const sdk_base_1 = require("@wormhole-foundation/sdk-base");
const sdk_definitions_1 = require("@wormhole-foundation/sdk-definitions");
exports.DEFAULT_TASK_TIMEOUT = 60 * 1000; // 1 minute in milliseconds
exports.CIRCLE_RETRY_INTERVAL = 2000;
exports.WHSCAN_RETRY_INTERVAL = 2000;
exports.CONFIG = {
    Mainnet: {
        api: "https://api.wormholescan.io",
        circleAPI: (0, sdk_base_1.circleAPI)("Mainnet"),
        chains: (0, sdk_definitions_1.buildConfig)("Mainnet"),
    },
    Testnet: {
        api: "https://api.testnet.wormholescan.io",
        circleAPI: (0, sdk_base_1.circleAPI)("Testnet"),
        chains: (0, sdk_definitions_1.buildConfig)("Testnet"),
    },
    Devnet: {
        api: "http://guardian:7071",
        circleAPI: "",
        chains: (0, sdk_definitions_1.buildConfig)("Devnet"),
    },
};
function networkPlatformConfigs(network, platform) {
    return Object.fromEntries(Object.entries(exports.CONFIG[network].chains).filter(([_, v]) => {
        return v.platform == platform;
    }));
}
exports.networkPlatformConfigs = networkPlatformConfigs;
const inNode = typeof process !== "undefined";
exports.DEFAULT_NETWORK = (inNode && process.env["NETWORK"]) || "Testnet";
//# sourceMappingURL=config.js.map