import { Network, PlatformName } from "@wormhole-foundation/sdk-base";
import { ChainsConfig } from "@wormhole-foundation/sdk-definitions";
export declare const DEFAULT_TASK_TIMEOUT: number;
export declare const CIRCLE_RETRY_INTERVAL = 2000;
export declare const WHSCAN_RETRY_INTERVAL = 2000;
export declare const CONFIG: {
    readonly Mainnet: {
        readonly api: "https://api.wormholescan.io";
        readonly circleAPI: "https://iris-api.circle.com/v1/attestations";
        readonly chains: ChainsConfig;
    };
    readonly Testnet: {
        readonly api: "https://api.testnet.wormholescan.io";
        readonly circleAPI: "https://iris-api-sandbox.circle.com/v1/attestations";
        readonly chains: ChainsConfig;
    };
    readonly Devnet: {
        readonly api: "http://guardian:7071";
        readonly circleAPI: "";
        readonly chains: ChainsConfig;
    };
};
export declare function networkPlatformConfigs(network: Network, platform: PlatformName): ChainsConfig;
export declare const DEFAULT_NETWORK: Network;
//# sourceMappingURL=config.d.ts.map