import { Signer, TokenBridge, TransactionId, TxHash, WormholeMessageId } from "@wormhole-foundation/sdk-definitions";
import { TokenTransferDetails } from "../types";
import { Wormhole } from "../wormhole";
import { AttestationId, TransferState, WormholeTransfer } from "../wormholeTransfer";
export declare class TokenTransfer implements WormholeTransfer {
    private readonly wh;
    private state;
    transfer: TokenTransferDetails;
    txids: TransactionId[];
    vaas?: {
        id: WormholeMessageId;
        vaa?: TokenBridge.VAA<"Transfer" | "TransferWithPayload">;
    }[];
    private constructor();
    getTransferState(): Promise<TransferState>;
    static from(wh: Wormhole, from: TokenTransferDetails): Promise<TokenTransfer>;
    static from(wh: Wormhole, from: WormholeMessageId, timeout?: number): Promise<TokenTransfer>;
    static from(wh: Wormhole, from: TransactionId, timeout?: number): Promise<TokenTransfer>;
    private static fromIdentifier;
    private static fromTransaction;
    initiateTransfer(signer: Signer): Promise<TxHash[]>;
    fetchAttestation(timeout?: number): Promise<AttestationId[]>;
    completeTransfer(signer: Signer): Promise<TxHash[]>;
    static getTransferMessage(wh: Wormhole, tx: TransactionId, timeout?: number): Promise<WormholeMessageId>;
    static getTransferVaa(wh: Wormhole, whm: WormholeMessageId, timeout?: number): Promise<TokenBridge.VAA<"Transfer" | "TransferWithPayload">>;
}
//# sourceMappingURL=tokenTransfer.d.ts.map